#!/usr/bin/env python3
import numpy as _np

C_YEARS_TO_BLN_HOURS = (365.24 * 24) / 1_000_000_000

def to_fits(reliability, time_yrs=5):
    time_hrs = time_yrs*C_YEARS_TO_BLN_HOURS
    return _np.log(reliability)/-time_hrs

def to_rel(FITs, time_yrs=5):
    time_hrs = time_yrs*C_YEARS_TO_BLN_HOURS
    return _np.exp(-time_hrs * FITs)

def to_urel(FITs, time_yrs=5):
    time_hrs = time_yrs*C_YEARS_TO_BLN_HOURS
    return 1-_np.exp(-time_hrs * FITs)

from_fits=to_rel
from_rel=to_fits